Name: H5Gget_linkval
Signature:
  herr_t `H5Gget_linkval`(hid_t `loc_id`, const char *`name`, size_t `size`, char *`value` )
Purpose:
  Returns the name of the object that the symbolic link points to.
Description:
  `H5Gget_linkval` returns `size` characters of the name of the object that the symbolic link `name` points to.

  The parameter `loc_id` is a file or group identifier.

  The parameter `name` must be a symbolic link pointing to the desired object and must be defined relative to `loc_id`.

  If `size` is smaller than the size of the returned object name, then the name stored in the buffer `value` will not be null terminated.

  This function fails if `name` is not a symbolic link. The presence of a symbolic link can be tested by passing zero for `size` and NULL for `value`.

  This function should be used only after `H5Gget_objinfo` has been called to verify that `name` is a symbolic link.

Parameters:

hid_t `loc_id` | IN: Identifier of the file or group.
const char *`name` | IN: Symbolic link to the object whose name is to be returned.
size_t `size` | IN: Maximum number of characters of `value` to be returned.
char *`value` | OUT: A buffer to hold the name of the object being sought.

Returns:
  Returns a non-negative value, with the link value in `value`, if successful. Otherwise returns a negative value.
Fortran90 Interface: h5gget_linkval_f

      SUBROUTINE h5gget_linkval_f(loc_id, name, size, buffer, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id         ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name         ! Name of the symbolic link
        CHARACTER(LEN=size), INTENT(OUT) :: buffer   ! Buffer to hold a
                                                     ! name of the object
                                                     ! symbolic link points to
        INTEGER, INTENT(OUT) :: hdferr               ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5gget_linkval_f